# $Revision: 1.39 $, $Date: 2006/10/14 22:41:46 $
#
# Conditional build:
%bcond_with	ps			# build package with RFCs in PostScript format too
%bcond_without	pdf		# don't build package with RFCs in PDF format
%bcond_without	html_index	# don't build HTML index

%include	/usr/lib/rpm/macros.perl
%define		rfcindex_version	1.2
Summary:	Latest RFC documents
Summary(es):	Los ltimos documentos RFC
Summary(pl):	Najnowsze dokumenty RFC
Name:		rfc-latest
Version:	4714
Release:	1
License:	distributable
Group:		Documentation
Source0:	ftp://ftp.isi.edu/in-notes/tar/RFCs4501-latest.tar.gz
# Source0-md5:	b94da4949d9fa9a558741f7e872e6e1e
Source1:	ftp://ftp.isi.edu/in-notes/rfc-index.txt
Source10:	http://www.kernighan.demon.co.uk/software/rfcindex-%{rfcindex_version}
# Source10-md5:	2b35cdd18096517e048fd455364dd77a
Patch0:		rfc-index-typo.patch
Patch10:	rfcindex-pld.patch
URL:		http://www.rfc.net/
%if %{with ps} || %{with pdf}
BuildRequires:	enscript
BuildRequires:	ghostscript
%endif
BuildRequires:	perl-devel
%if %{with html_index}
BuildRequires:	rpm-perlprov
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RFC (Request For Comments) documents are actual and suggested Internet
standards.

%description -l es
Los documentos RFC (Request For Comments: peticin de comentarios) son
los estndares actuales y sugeridos del Internet.

%description -l pl
Dokumenty RFC (Request For Comments) zawieraj opis obowizujcych i
proponowanych standardw internetowych.

%package -n rfc-index
Summary:	Index for RFC documents
Summary(es):	ndice para los documentos RFC
Summary(pl):	Spis treci dokumentw RFC
Group:		Documentation

%description -n rfc-index
Index file for RFC (Request For Comments) documents containing
information about document title, authors, status, size, etc.

%description -n rfc-index -l es
Fichero ndice para los documentos RFC (Request For Comments: peticin
de comentarios) que contiene informaciones sobre el ttulo de
documento, su autores, estado, tamao, etc.

%description -n rfc-index -l pl
Plik spisu treci dokumentw RFC (Request For Comments) zawierajcy
informacje takie, jak: tytu, autorzy, status, rozmiar itp. dla
poszczeglnych dokumentw.

%package -n rfc-index-html
Summary:	HTML-ized index of RFC documents
Summary(es):	ndice de los documentos RFC en HTML
Summary(pl):	Spis treci dokumentw RFC w HTML-u
Group:		Documentation
Requires:	%{name}-text >= %{version}-%{release}

%description -n rfc-index-html
Index file for RFC (Request For Comments) documents containing
information about document title, authors, status, size, etc.

%description -n rfc-index -l es
Fichero ndice para los documentos RFC (Request For Comments: peticin
de comentarios) que contiene informaciones sobre el ttulo de
documento, su autores, estado, tamao, etc.

%description -n rfc-index-html -l pl
Plik spisu treci dokumentw RFC (Request For Comments) zawierajcy
informacje takie, jak: tytu, autorzy, status, rozmiar itp. dla
poszczeglnych dokumentw.

%package -n rfcindex
Summary:	Script to generate HTML-ized index of RFC documents
Summary(es):	Script para generar un ndice HTML de documentos RFC
Summary(pl):	Skrypt do generowania HTML-owego spisu treci dokumentw RFC
Group:		Base/Utilities
Requires:	rfc-index

%description -n rfcindex
Perl script that reads the plain rfc-index.txt and outputs an HTML
index file with hyperlinks to appropriate RFCs.

%description -n rfcindex -l pl
Script de Perl que lee el plano rfc-index.txt y devuelve un fichero
ndice en HTML con hiperenlaces a los RFC adecuados.

%description -n rfcindex -l pl
Skrypt w Perlu generujacy na podstawie tekstowego pliku rfc-index.txt
spis treci w HTML-u zawierajcy przekierowania do odpowiednich
dokumentw RFC.

%package text
Summary:	RFC documents - pure text version
Summary(es):	Documentos RFC - versin de texto puro
Summary(pl):	Wersja czysto tekstowa dokumentw RFC
Group:		Documentation
Requires:	rfc-index >= %{version}
# common dirs
Requires:	rfc-text
#Provides:	%{name}-text-basic
#Obsoletes:	%{name}-text-basic

%description text
This is pure text version of RFC (Request For Comments) documents. The
set is incomplete. Some documents are available in PostScript and PDF
formats only.

%description text -l es
sta es la versin de texto puro de los documentos RFC (Request For
Comments: peticin de comentarios). Este conjunto es incompleto, ya
que algunos documentos son disponibles slo en los formatos PostScript
y PDF.

%description text -l pl
Wersja tekstowa dokumentw RFC (Request For Comments). Zbir jest
niepeny, gdy niektre dokumenty s dostpne wycznie w postaci
postscriptowej i PDF.

%package ps
Summary:	RFC documents - PostScript version
Summary(es):	Documentos RFC - versin PostScript
Summary(pl):	Wersja postscriptowa dokumentw RFC
Group:		Documentation
Requires:	rfc-index >= %{version}
# common dirs
Requires:	rfc-ps

%description ps
PostScript version of RFC (Request For Comments) documents.

%description ps -l es
La versin PostScript de los documentos RFC (Request For Comments:
peticin de comentarios).

%description ps -l pl
Wersja postscriptowa dokumentw RFC (Request For Comments).

%package pdf
Summary:	RFC documents - PDF version
Summary(es):	Documentos RFC - versin PDF
Summary(pl):	Wersja PDF dokumentw RFC
Group:		Documentation
Requires:	rfc-index >= %{version}
# common dirs
Requires:	rfc-pdf

%description pdf
RFC (Request For Comments) documents in Adobe PDF format.

%description pdf -l es
Documentos RFC (Request For Comments: peticin de comentarios) en
formato Adobe PDF.

%description pdf -l pl
Dokumenty RFC (Request For Comments) w formacie Adobe PDF.

%prep
%setup -q -c
install %{SOURCE1} .
%patch0 -p0

%if %{with html_index}
install %{SOURCE10} rfcindex
%patch10 -p0
%endif

%build
# Generate .ps and .pdf versions when they are not provided
%if %{with ps} || %{with pdf}
for i in rfc[1-9]*.txt ; do
	BASE=`echo $i | sed "s/.txt$//"`
	PSFILE=$BASE.ps
	if [ ! -e $BASE.ps ] ; then
		# avoid stopping on errors ; .ps file may be correct
		# even after processing problems
		enscript --margin=54 -B -fCourier11 -p $BASE.ps $i 2>/dev/null || :
	fi
%endif
%if %{with pdf}
	if [ ! -e $BASE.pdf ] ; then
		ps2pdf $BASE.ps $BASE.pdf 2>/dev/null
	fi
%endif
%if %{with ps} || %{with pdf}
done
%endif

%if %{with html_index}
./rfcindex --gzip --by100 --nodate --nocredit \
	--base="file://%{_docdir}/RFC/" rfc-index.txt >rfc-index.html
pod2man rfcindex > rfcindex.1
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_docdir}/RFC/text/4{5,6,7}00
install -d $RPM_BUILD_ROOT%{_docdir}/RFC/pdf/4{5,6,7}00
install -d $RPM_BUILD_ROOT%{_docdir}/RFC/postscript/4{5,6,7}00

install rfc-index.txt $RPM_BUILD_ROOT%{_docdir}/RFC

%if %{with html_index}
install rfc-index.html $RPM_BUILD_ROOT%{_docdir}/RFC
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install rfcindex $RPM_BUILD_ROOT%{_bindir}/rfcindex
install rfcindex.1 $RPM_BUILD_ROOT%{_mandir}/man1
%endif

find . -name 'rfc[1-9]*.txt' -print | xargs gzip -9
%if %{with ps}
find . -name 'rfc[1-9]*.ps' -print | xargs gzip -9
%endif

# install rfc[1-9]*.txt* $RPM_BUILD_ROOT%{_docdir}/RFC/text
for i in 4{5,6,7}; do
	install rfc`echo $i|sed s/^0\*//g`[0-9][0-9][a.]*txt* \
		$RPM_BUILD_ROOT%{_docdir}/RFC/text/${i}00
done

%if %{with pdf}
# install rfc*.pdf $RPM_BUILD_ROOT%{_docdir}/RFC/pdf
for i in 4{5,6,7}; do
	install rfc`echo $i|sed s/^0\*//g`[0-9][0-9][a.-]*pdf \
		$RPM_BUILD_ROOT%{_docdir}/RFC/pdf/${i}00
done
%endif

%if %{with ps}
# install rfc*.ps $RPM_BUILD_ROOT%{_docdir}/RFC/postscript
for i in 4{5,6,7}; do
	install rfc`echo $i|sed s/^0\*//g`[0-9][0-9][a.-]*ps* \
		$RPM_BUILD_ROOT%{_docdir}/RFC/postscript/${i}00
done
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files text
%defattr(644,root,root,755)
%{_docdir}/RFC/text/[0-9]*

%files -n rfc-index
%defattr(644,root,root,755)
%dir %{_docdir}/RFC
%{_docdir}/RFC/rfc-index.txt

%if %{with ps}
%files ps
%defattr(644,root,root,755)
%{_docdir}/RFC/postscript/*
%endif

%if %{with pdf}
%files pdf
%defattr(644,root,root,755)
%{_docdir}/RFC/pdf/*
%endif

%if %{with html_index}
%files -n rfc-index-html
%defattr(644,root,root,755)
%{_docdir}/RFC/rfc-index.html

%files -n rfcindex
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rfcindex
%{_mandir}/man1/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rfc-latest.spec,v $
Revision 1.39  2006/10/14 22:41:46  ankry
- 4714

Revision 1.38  2006/10/07 18:56:07  ankry
- 4693

Revision 1.37  2006/09/02 20:51:33  glen
- _defaultdocdir -> _docdir

Revision 1.36  2006/08/30 21:26:28  ankry
- 4671

Revision 1.35  2006/08/17 23:15:12  ankry
- fixed build, rel. 1

Revision 1.34  2006/08/07 07:46:18  ankry
- updated md5, renumbered

Revision 1.33  2006/08/07 07:43:23  ankry
- started update to newest resources

Revision 1.32  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.31  2005/05/25 17:14:47  ankry
- forgotten rfc-index.txt update, rel. 2

Revision 1.30  2005/05/25 16:12:16  ankry
- 4109

Revision 1.29  2004/12/14 10:29:11  ankry
- 3966

Revision 1.28  2004/10/25 11:36:57  paladine
- "HTML" and "Perl" unification

Revision 1.27  2004/10/11 13:46:35  ankry
- fixed md5

Revision 1.26  2004/10/11 13:38:33  ankry
- 3932

Revision 1.25  2004/07/29 12:24:26  ankry
- 3866

Revision 1.24  2004/04/12 22:53:27  ankry
- 3765

Revision 1.23  2004/03/08 23:08:27  ankry
- 3729

Revision 1.22  2004/02/09 14:48:53  ankry
- 3707

Revision 1.21  2003/12/30 02:04:52  ankry
- 3677

Revision 1.20  2003/12/01 05:22:25  saq
- es translations
- fixes in other translations (copy-paste errors, unnecessary jargon)
- new bconds

Revision 1.19  2003/11/19 01:20:03  ankry
- proper md5

Revision 1.18  2003/11/19 01:18:11  ankry
- 3655

Revision 1.17  2003/09/09 09:42:48  ankry
- 3601

Revision 1.16  2003/08/29 16:17:11  ankry
- 3587

Revision 1.15  2003/08/18 08:09:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/08/14 20:17:38  qboosh
- bcond descriptions, unifications

Revision 1.13  2003/08/10 23:23:49  ankry
- 3576

Revision 1.12  2003/07/02 15:29:14  ankry
- 3559

Revision 1.11  2003/05/29 10:56:15  adgor
- Removed md5sums for *.txt srcs (already stored in repo)

Revision 1.10  2003/05/28 13:01:39  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:26:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/05/12 15:02:11  ankry
- make BR: perl-devel unconditional
- fix bogus (%if'ed while %ifs are not multi-level) %include

Revision 1.7  2003/05/12 14:39:01  ankry
- updated; ver. 3541

Revision 1.6  2003/05/10 22:24:49  radek
- BR: rpm-perlprov instead of R: perl,  minor simplifications

Revision 1.5  2003/05/02 11:49:39  ankry
- removed BR: xpdf, not necessary here
- rel. 2

Revision 1.4  2003/04/28 06:31:05  ankry
- updated; version 3531

Revision 1.3  2003/04/07 16:05:10  ankry
- updated; version 3514

Revision 1.2  2003/03/23 17:04:14  ankry
- fixed duplicate dirs
- rel. 1

Revision 1.1  2003/03/23 00:10:31  ankry
- updated; splited into rfc & rfc-latest
- untested: rel 0.1
